package com.red.circle.other.infra.database.cache.service.user;

/**
 * 账号密码登录
 *
 * @author zongpubin on 2023/9/13
 */
public interface UserAccountAuthCacheService {

  /**
   * 记录账号密码登录时输入密码错误次数.
   *
   * @param userId 用户id
   */
  void recordAccountAuth(Long userId);

  /**
   * 获取账号密码登录时输入密码错误次数.
   *
   * @param userId 用户id
   * @return 次数
   */
  Integer getAccountAuthTimes(Long userId);


  /**
   * 重置账号密码登录时输入密码错误次数.
   *
   * @param userId 用户id
   */
  void deleteByUserId(Long userId);
}

